/****************************************************************
* viewname	- the name of the view/data set to count the rows in.
* maxcount	- the maximum number of rows to count.
******************************************************************/
%macro countrows(viewname=, maxcount=50000, where=);
   %global debug mprint;
   %local n viewname maxcount; 
   %if &debug ne Y %then %str(options nomprint nosymbolgen nomlogic;);  
   %let n=0;
   data _null_;
     %if %bquote(&where) ne %str() %then %do;
       set &viewname end=eof;     
       %str(where &where;);
     %end;
     %else %do;
       set &viewname(drop=_all_) end=eof;
     %end;
     if eof or _N_ >= &maxcount then do;
       call symput("n",left(put(_n_,20.)));
	   stop;
	 end;
   run;
   data &viewname._count;
     n=&n;
   run;
   options obs=max nosyntaxcheck &mprint;
%mend;