<!-- Copyright 2000 SAS Institute Inc, Atlanta, GA, 30326 -->
<%@page import="java.io.*,java.util.*" %>
<%@page import="com.sas.hrv.*" %>

<%
/*********************************************************************/
// Copyright (c) 2000 by SAS Institute Inc., Cary, NC 27513
/*********************************************************************/
//
// NAME:     altbanner.jsp
// AUTHOR:   saslmd - Lynette Dromsky
// SUPPORT:  saslmd - Lynette Dromsky
// PRODUCT:  hrvision
// TYPE:     jsp page
// LANGUAGE: java
// PURPOSE:  Display banner for secondary window jsps
//
// HISTORY:   Date    Who     Action
//           -------------------------------------------------------
//           15Jan00  lmd     reduce from full banner
//            06Sep01  maperr  Moved form out of the head tag (Netscape conflict) 
// S0140941  12Feb02  lmd     generalize code to limit access to menu items
// S0166968  30Sep02  lmd     remove saslogo height & width
// S0166968  30Sep02  lmd     make banner divider optional
// S0167460  28Oct02  lmd     make bookmark menu item optional
// S0262694  01Aug04  sby     added unloadFlag so that IE X to work in tableviewer
//
// NOTES:
//    See HrvJspStructure.java for documentation of breadcrumbs.
//
/*********************************************************************/
%>
<%@ include file="HRVLoginInclude.jsp"%>
<%
   VisMsg    vM   = VisMsg.getInstance(session);
    String    DEFAULT_APPL_TITLE        = "HR Vision";
    boolean   DEFAULT_WHEN_ATTR_MISSING = true;
    String    USER_HAS_ACCESS           = "YES";
    String[] altbkgndStyle  = {""};
    String[] altitemStyle   = {"topRightMenuItem"};
    String bookmark   = vM.getLabel ( "MENU_BANNERALTbookmark", "Bookmark" );
    String productName = vM.getLabel ("hrvision");

    boolean includeBannerDivider = true;
    String sIncludeBannerDivider  = (String)hrvi.getConfigValue( "banner.divider.include" );
    if( sIncludeBannerDivider != null && sIncludeBannerDivider.equalsIgnoreCase( "NO" ))
        includeBannerDivider = false;

    boolean includeBookmarkItem = true;
    //if Netscape dont print bookmark
    String navigator = (String) hrvi.getBrowserType(session);
    if(!navigator.equalsIgnoreCase("IE"))
        includeBookmarkItem = false;
    else 
    {
        String  sInclude = request.getParameter( "bookmark" );
        if( sInclude != null && sInclude.equals( "N" ))
            includeBookmarkItem = false;
        else
        {
            try
            {
                CodeBean cb = hrvi.getCodeBean(session);
                String userAccess = cb.getUserAttributeValue( "bookmark" );
                if( userAccess == null )
                    includeBookmarkItem = DEFAULT_WHEN_ATTR_MISSING;
                else if( userAccess.equalsIgnoreCase( USER_HAS_ACCESS ))
                    includeBookmarkItem = true;
            }
            catch( Exception e )
            {
                System.out.println( "MenuSystem.processItems() - Exception(addlink): "+e.toString() );
            }
        }
    }
%>

<HTML>
<HEAD>
   <%@ include file="HRVHeadInclude.jsp"%>
   <script language="javaScript">
	var unloadFlag = true;

	function resetUnload(){
		unloadFlag = false;
	}

        function doClose()
        {
            unloadFlag = false;        
            var closeTable = document.closeForm.tableName.value;
            var newOrgchart = document.orgForm.newOrgchart.value;
        
            var HrvScratchWindowClose = open('../Jsp/closeWindow.jsp?winName=' + parent.name + 
            '&closeTable=' + closeTable + '&newOrgchart=' + newOrgchart, 'HrvScratchWindowClose', 'height=1 width=1');
           if (parent.name == "") {
            top.close();
           }
           else {
                var thisWindow = open('',parent.name,'');
               thisWindow.close();
            }
        }


<%
    if( includeBookmarkItem )
    {
%>      
        function bookMark(nav)
        {
            // (C) 2000 www.CodeLifter.com
            // http://www.codelifter.com
            // Free for all users, but leave in this  header

            // message to show in non-IE browsers
            var txt = "<%=bookmark%>"

            // url you wish to have bookmarked
            var url = parent.document.location.href;

            // caption to appear with bookmark
            var who = parent.document.title;
            var ver = navigator.appName
            var num = parseInt(navigator.appVersion)
            if (nav == "IE") {
                window.external.AddFavorite(url,who);
            }
            else{
                txt += "  (Ctrl+D)"
                document.write(txt)
            } 
        }
<%
    }
%>      
    </script>
</HEAD>

<BODY marginheight="0" marginwidth="0" class="bannerbg">

<%
    NamedList bannerLabels = (NamedList)vM.getLabelList( "Banner*" );
    NamedList bannerLinks  = (NamedList)vM.getLinkMapList( "Banner*" );

    String applTitle = (String)bannerLabels.getValue("BannerApplication.notrans");
    if( applTitle == null) applTitle = DEFAULT_APPL_TITLE;
    
    String bannerBkgnd = (String)bannerLinks.getValue("BannerBkgnd");
    if( bannerBkgnd == null ) bannerBkgnd = "";

    String sasLogo = (String)bannerLinks.getValue("BannerSASlogo");
    if( sasLogo == null ) sasLogo = "";

    String applUrl = vM.getLink("MainHome");
    if( applUrl == null) applUrl = "../Jsp/HRVision.jsp";
%>

<%
   /*--------------------------*/
   /* create bread crumb trail */
   /*--------------------------*/
   String breadCrumbs = "";
    String msgPrefixKey = request.getParameter("PREFIX");
    if( msgPrefixKey != null && ! msgPrefixKey.equals( "" ))
    {
        String pageTitle = vM.getLabel( msgPrefixKey + "title" );

        breadCrumbs +=
            "<span class=\"breadcrumbHi\">"+pageTitle+"</span>";
        
        /*
         * labels return the mnemonic when it is not found,
         * so stop processing when the returned prefix is the
        * same as the mnemonic passed in for the parent.
         */
        String mnu = msgPrefixKey + "parent.notrans";
        String parentPrefix = vM.getLabel( mnu );
        while( parentPrefix != null          &&
               ! parentPrefix.equals( mnu)  &&
               ! parentPrefix.equals( "" ))
        {
            String thisCrumb  = "";
            String crumbLabel = vM.getLabel( parentPrefix + "title" );
            String crumbLink  = vM.getLink(  parentPrefix + "main" );
            
            if( crumbLink != null && crumbLink.length() > 0 )
                thisCrumb = 
                    "<a class=\"breadcrumbLink\" href=\""+crumbLink+"\" TARGET=\"_parent\">"+
                    crumbLabel+"</a>";
            else
                thisCrumb = 
                    "<span class=\"breadcrumbLink\">crumbLabel</span>";
                    
            breadCrumbs =
                thisCrumb +
                "<span class=\"pipeTopLeft\">></span>" +
                breadCrumbs;

            // continue to work backwards to fill in parents
            mnu = parentPrefix + "parent.notrans";
            parentPrefix = vM.getLabel( mnu );
        }
    }

    // get url to use with HR Vision product name in breadcrumb trail
    OptionBean optbean = OptionBean.getInstance(session);
    String startPage = optbean.getOption( "entry_window" );
    String startUrl  = vM.getLink( startPage );
%>

<!-- Product Name Breadcrumb Start --> 

<table border="0" cellpadding="0" cellspacing="0" width="100%" background="<%=bannerBkgnd%>">
        <tr>
            <td>&nbsp;<a class="productName" href="<%=applUrl%>" 
                    target="_parent"><%=applTitle%></a> <%=breadCrumbs%></td>

            <td align="right">
                <table cellpadding="7" cellspacing="0">
                    <tr>
<%                  
    // put menu items here -- hardcoded to be able to include close
    String helpLabel  = vM.getLabel( "MENU_BANNERALThelp" );
    String helpLink   = vM.getLink ( "MENU_BANNERALThelp" );
    String closeLabel = vM.getLabel( "MENU_BANNERALTclose");
    String exitLabel  = vM.getLabel( "MENU_BANNERALTexit" );
    String exitLink   = vM.getLink ( "MENU_BANNERALTexit" );

    if( includeBookmarkItem )
    {
%>
                    <td>&nbsp;
                    <a id="aALTbookmark" href="javascript: bookMark('<%=navigator%>');" class="topRightMenuItem"><%=bookmark%>
                    </a></td>
<%
    }
%>
                    
                    <td>&nbsp;<a id="aALTclose" href="javascript: void 0;" class="topRightMenuItem" 
                       onClick="doClose();"><%=closeLabel%></a></td>
                    <td>&nbsp;<a id="aALTlogoff" href="<%=exitLink%>" class="topRightMenuItem"
                        onClick="resetUnload()" target="_parent"><%=exitLabel%></a></td>
                    <td>&nbsp;<a id="aALThelp" href="<%=helpLink%>" class="topRightMenuItem"
                        target="HRVhelp"><%=helpLabel%></a></td>
                    <td>&nbsp;</td>
                    </tr>
                </table>
            </td>
            <td valign="center" align="right" width="64"><img src="<%=sasLogo%>" border=0 vspace="3" hspace="3" alt="SAS logo"></td>
        </tr>
</table>


<!-- Product Name Breadcrumb End -->


<%
    if( includeBannerDivider )
    {
%>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>        
        <td class="bannerlineBg" height="1"><img src="../Images/spacer.gif" width=1 height=2 alt="line"></td>
    </tr>
</table>
<%
    }
%>

<form name="closeForm">
    <INPUT TYPE="hidden" NAME="tableName" VALUE="">
</form>

<form name="orgForm">
    <INPUT TYPE="hidden" NAME="newOrgchart" VALUE="">
</form>

</BODY></HTML>
