<!-- Copyright 2001 SAS Institute Inc, Cary, NC, 27513 -->
<%@page import="java.io.*,java.util.*" %>
<%@page import="com.sas.hrv.*" %>
<%
/*********************************************************************/
// Copyright (c) 2000 by SAS Institute Inc., Cary, NC 27513
/*********************************************************************/
//
// NAME:     mddbGetCtrl.jsp
// AUTHOR:   saslmd - Lynette Dromsky
// SUPPORT:  saslmd - Lynette Dromsky
// PRODUCT:  hrvision
// TYPE:     jsp page
// LANGUAGE: java
// PURPOSE:  Include code to get an mddbCtrl instance.
//
// HISTORY:   Date    Who  Action
//           -------------------------------------------------------
//           11Jan01  lmd  initial coding
//           05Mar01  lmd  allow class to get & set in hrvi
//
// NOTES:                        
//    Requires two parameters be passed into the JSP to use this
//    include code to get the mddbCtrl instance.
//
//        key         metadata key (name) for the mddb
//        location    the string version of the location (public vs. private)
//
//    Returns the mddb controller as variable...
//
//        MddbHrvCtrl  mddbCtrl
/*********************************************************************/
%>
<%
boolean TRACE = false;

        //Set the appropriate values on the response HTTP header so the page will not be cached
        response.setHeader("Cache-Control","no-cache");
        response.setHeader("Pragma","no-cache");
        response.setDateHeader("Expires",0);

        String mddbName = request.getParameter("key");
        String locstr   = request.getParameter("location");

        boolean isAnalysis   = false;
        String  type = request.getParameter( "type" );
        if( type != null && type.equalsIgnoreCase( "analysis" ))
                isAnalysis = true;

        MddbHrvCtrl mddbCtrl = null;
        try{
if( TRACE )
System.out.println( "mddbGetCtrl: calling MddbHrvCtrl.getInstance" );
                mddbCtrl = MddbHrvCtrl.getInstance(request,response,locstr,mddbName,true,isAnalysis);
if( TRACE )
System.out.println( "mddbGetCtrl: returned from MddbHrvCtrl.getInstance" );
        }
        catch( RemoteSasException e )
        {
                VisMsg  vmXXX = VisMsg.getInstance(session);

                out.println( "<HTML><HEAD>" );
                out.println( "</head>" );
                out.println( "<body class=\"bodyContents\">" );
                out.println( "<table width=\"100%\" height=\"100%\" cellspacing=\"20\"><tr><td>" );
                out.println( "<p>"+vmXXX.getSentence( "ConnectionNoAccess" )+"</p>" );
                out.println( "<p>"+vmXXX.getSentence( "ContactSysAdmin" )+"</p>" );
                out.println( "</td></tr></table></body></html>" );
                return;
        }
        catch( Exception e )
        {
                String msg = e.toString();
                if (msg.startsWith ("java.lang.Exception: "))
                {
                        msg = msg.substring(20);
                }
                out.println( "<HTML><HEAD>" );
                out.println( "</head>" );
                out.println( "<body class=\"bodyContents\">" );
                out.println( "<table width=\"100%\" height=\"100%\">" );
                out.println( "<tr><td valign=center align=center><p class=\"ERRMSG\">" +msg+"</p>" + "</td></tr>" );
                out.println( "</table></body></html>" );
                return;
        }
        
        // New code - 5/27/2004
        //if mddbCtrl is null, try to get it up to 5 more times.  Hopefully, if it's a timing issue, 
        // this will solve the problem.
        for (int i=0;i<5 && mddbCtrl == null;i++){
               mddbCtrl = MddbHrvCtrl.getInstance(request,response,locstr,mddbName,true,isAnalysis);
        }
        // end of new code
        
        if( mddbCtrl == null )
        {
                VisMsg  vmXXX = VisMsg.getInstance(session);

                out.println( "<HTML><HEAD>" );
                out.println( "</head>" );
                out.println( "<body class=\"bodyContents\">" );
                out.println( "<table width=\"100%\" height=\"100%\">" );
                out.println( "<tr><td>"+vmXXX.getSentence( "MddbNoAccess" )+"</tr></td>" );
                out.println( "</table></body></html>" );
                return;         
        }
        
        if( isAnalysis )
        {
                // get analysis key and location
                String analysisKey = request.getParameter( "akey" );
                String sAnalysisLoc = request.getParameter( "aloc" );

                int analysisLoc = MetaBean.PUBLIC_LOC;
                if( sAnalysisLoc != null && sAnalysisLoc.equalsIgnoreCase( MetaBean.PRIVATE_LOC_STRING ) )
                        analysisLoc = MetaBean.PRIVATE_LOC;
                
                if( analysisKey != null )
                {
                        // change the title to the analysis title
                        AnalysisBean analysisBean = new AnalysisBean(session);

        //              analysisBean.setWarehouseKey (HrvInfo.getWarehouse (HrvInfo.getUser ()));
                        analysisBean.setMetaKey(analysisKey);
                        analysisBean.setMetaLocation(analysisLoc);
        //              analysisBean.resetAttributeList();
                        String desc = analysisBean.getAttributeValue("desc");

                        mddbCtrl.setDescription( desc );
                }
        }
%>

